## org.eclipse.datatools.modelbase.dbdefinition.impl
Class ConstraintDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.ConstraintDefinitionImpl

All Implemented Interfaces:
  ConstraintDefinition

public class ConstraintDefinitionImpl
extends EObjectImpl
implements ConstraintDefinition

An implementation of the model object 'Constraint Definition'.

The following features are implemented:

- `Deferrable Constraint Supported`
- `Informational Constraint Supported`
- `Clustered Primary Key Supported`
- `Clustered Unique Constraint Supported`
- `Primary Key Nullable`
- `Unique Key Nullable`
- `Maximum Check Expression Length`
- `Parent Update DRI Rule Type`
- `Parent Delete DRI Rule Type`
- `Check Option`
- `Maximum Primary Key Identifier Length`
- `Maximum Foreign Key Identifier Length`
- `Maximum Check Constraint Identifier Length`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`EList` `getCheckOption()`
`int` `getMaximumCheckConstraintIdentifierLength()`
`int` `getMaximumCheckExpressionLength()`
`int` `getMaximumForeignKeyIdentifierLength()`
`int` `getMaximumPrimaryKeyIdentifierLength()`
`EList` `getParentDeleteDRIRuleType()`
`EList` `getParentUpdateDRIRuleType()`
`boolean` `isClusteredPrimaryKeySupported()`
`boolean` `isClusteredUniqueConstraintSupported()`
`boolean` `isDeferrableConstraintSupported()`
`boolean` `isInformationalConstraintSupported()`
`boolean` `isPrimaryKeyNullable()`
`boolean` `isUniqueKeyNullable()`
`void` `setClusteredPrimaryKeySupported(boolean newClusteredPrimaryKeySupported)`
`void` `setClusteredUniqueConstraintSupported(boolean newClusteredUniqueConstraintSupported)`
`void` `setDeferrableConstraintSupported(boolean newDeferrableConstraintSupported)`
`void` `setInformationalConstraintSupported(boolean newInformationalConstraintSupported)`
`void` `setMaximumCheckConstraintIdentifierLength(int newMaximumCheckConstraintIdentifierLength)`
`void` `setMaximumCheckExpressionLength(int newMaximumCheckExpressionLength)`
`void` `setMaximumForeignKeyIdentifierLength(int newMaximumForeignKeyIdentifierLength)`
`void` `setMaximumPrimaryKeyIdentifierLength(int newMaximumPrimaryKeyIdentifierLength)`
`void` `setPrimaryKeyNullable(boolean newPrimaryKeyNullable)`
`void` `setUniqueKeyNullable(boolean newUniqueKeyNullable)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isDeferrableConstraintSupported

    public boolean isDeferrableConstraintSupported()

  Specified by:
    `isDeferrableConstraintSupported` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Deferrable Constraint Supported' attribute.
  See Also:
    `ConstraintDefinition.setDeferrableConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getConstraintDefinition_DeferrableConstraintSupported()`

### setDeferrableConstraintSupported

    public void setDeferrableConstraintSupported(boolean newDeferrableConstraintSupported)

  Specified by:
    `setDeferrableConstraintSupported` in interface `ConstraintDefinition`
  Parameters:
    `newDeferrableConstraintSupported` - the new value of the 'Deferrable Constraint Supported' attribute.
  See Also:
    `ConstraintDefinition.isDeferrableConstraintSupported()`

### isInformationalConstraintSupported

    public boolean isInformationalConstraintSupported()

  Specified by:
    `isInformationalConstraintSupported` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Informational Constraint Supported' attribute.
  See Also:
    `ConstraintDefinition.setInformationalConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getConstraintDefinition_InformationalConstraintSupported()`

### setInformationalConstraintSupported

    public void setInformationalConstraintSupported(boolean newInformationalConstraintSupported)

  Specified by:
    `setInformationalConstraintSupported` in interface `ConstraintDefinition`
  Parameters:
    `newInformationalConstraintSupported` - the new value of the 'Informational Constraint Supported' attribute.
  See Also:
    `ConstraintDefinition.isInformationalConstraintSupported()`

### isClusteredPrimaryKeySupported

    public boolean isClusteredPrimaryKeySupported()

  Specified by:
    `isClusteredPrimaryKeySupported` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Clustered Primary Key Supported' attribute.
  See Also:
    `ConstraintDefinition.setClusteredPrimaryKeySupported(boolean)`, `DatabaseDefinitionPackage.getConstraintDefinition_ClusteredPrimaryKeySupported()`

### setClusteredPrimaryKeySupported

    public void setClusteredPrimaryKeySupported(boolean newClusteredPrimaryKeySupported)

  Specified by:
    `setClusteredPrimaryKeySupported` in interface `ConstraintDefinition`
  Parameters:
    `newClusteredPrimaryKeySupported` - the new value of the 'Clustered Primary Key Supported' attribute.
  See Also:
    `ConstraintDefinition.isClusteredPrimaryKeySupported()`

### isClusteredUniqueConstraintSupported

    public boolean isClusteredUniqueConstraintSupported()

  Specified by:
    `isClusteredUniqueConstraintSupported` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Clustered Unique Constraint Supported' attribute.
  See Also:
    `ConstraintDefinition.setClusteredUniqueConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getConstraintDefinition_ClusteredUniqueConstraintSupported()`

### setClusteredUniqueConstraintSupported

    public void setClusteredUniqueConstraintSupported(boolean newClusteredUniqueConstraintSupported)

  Specified by:
    `setClusteredUniqueConstraintSupported` in interface `ConstraintDefinition`
  Parameters:
    `newClusteredUniqueConstraintSupported` - the new value of the 'Clustered Unique Constraint Supported' attribute.
  See Also:
    `ConstraintDefinition.isClusteredUniqueConstraintSupported()`

### isPrimaryKeyNullable

    public boolean isPrimaryKeyNullable()

  Specified by:
    `isPrimaryKeyNullable` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Primary Key Nullable' attribute.
  See Also:
    `ConstraintDefinition.setPrimaryKeyNullable(boolean)`, `DatabaseDefinitionPackage.getConstraintDefinition_PrimaryKeyNullable()`

### setPrimaryKeyNullable

    public void setPrimaryKeyNullable(boolean newPrimaryKeyNullable)

  Specified by:
    `setPrimaryKeyNullable` in interface `ConstraintDefinition`
  Parameters:
    `newPrimaryKeyNullable` - the new value of the 'Primary Key Nullable' attribute.
  See Also:
    `ConstraintDefinition.isPrimaryKeyNullable()`

### isUniqueKeyNullable

    public boolean isUniqueKeyNullable()

  Specified by:
    `isUniqueKeyNullable` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Unique Key Nullable' attribute.
  See Also:
    `ConstraintDefinition.setUniqueKeyNullable(boolean)`, `DatabaseDefinitionPackage.getConstraintDefinition_UniqueKeyNullable()`

### setUniqueKeyNullable

    public void setUniqueKeyNullable(boolean newUniqueKeyNullable)

  Specified by:
    `setUniqueKeyNullable` in interface `ConstraintDefinition`
  Parameters:
    `newUniqueKeyNullable` - the new value of the 'Unique Key Nullable' attribute.
  See Also:
    `ConstraintDefinition.isUniqueKeyNullable()`

### getMaximumCheckExpressionLength

    public int getMaximumCheckExpressionLength()

  Specified by:
    `getMaximumCheckExpressionLength` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Maximum Check Expression Length' attribute.
  See Also:
    `ConstraintDefinition.setMaximumCheckExpressionLength(int)`, `DatabaseDefinitionPackage.getConstraintDefinition_MaximumCheckExpressionLength()`

### setMaximumCheckExpressionLength

    public void setMaximumCheckExpressionLength(int newMaximumCheckExpressionLength)

  Specified by:
    `setMaximumCheckExpressionLength` in interface `ConstraintDefinition`
  Parameters:
    `newMaximumCheckExpressionLength` - the new value of the 'Maximum Check Expression Length' attribute.
  See Also:
    `ConstraintDefinition.getMaximumCheckExpressionLength()`

### getParentUpdateDRIRuleType

    public EList getParentUpdateDRIRuleType()

  Specified by:
    `getParentUpdateDRIRuleType` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Parent Update DRI Rule Type' attribute list.
  See Also:
    `ParentUpdateDRIRuleType`, `DatabaseDefinitionPackage.getConstraintDefinition_ParentUpdateDRIRuleType()`

### getParentDeleteDRIRuleType

    public EList getParentDeleteDRIRuleType()

  Specified by:
    `getParentDeleteDRIRuleType` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Parent Delete DRI Rule Type' attribute list.
  See Also:
    `ParentDeleteDRIRuleType`, `DatabaseDefinitionPackage.getConstraintDefinition_ParentDeleteDRIRuleType()`

### getCheckOption

    public EList getCheckOption()

  Specified by:
    `getCheckOption` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Check Option' attribute list.
  See Also:
    `CheckOption`, `DatabaseDefinitionPackage.getConstraintDefinition_CheckOption()`

### getMaximumPrimaryKeyIdentifierLength

    public int getMaximumPrimaryKeyIdentifierLength()

  Specified by:
    `getMaximumPrimaryKeyIdentifierLength` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Maximum Primary Key Identifier Length' attribute.
  See Also:
    `ConstraintDefinition.setMaximumPrimaryKeyIdentifierLength(int)`, `DatabaseDefinitionPackage.getConstraintDefinition_MaximumPrimaryKeyIdentifierLength()`

### setMaximumPrimaryKeyIdentifierLength

    public void setMaximumPrimaryKeyIdentifierLength(int newMaximumPrimaryKeyIdentifierLength)

  Specified by:
    `setMaximumPrimaryKeyIdentifierLength` in interface `ConstraintDefinition`
  Parameters:
    `newMaximumPrimaryKeyIdentifierLength` - the new value of the 'Maximum Primary Key Identifier Length' attribute.
  See Also:
    `ConstraintDefinition.getMaximumPrimaryKeyIdentifierLength()`

### getMaximumForeignKeyIdentifierLength

    public int getMaximumForeignKeyIdentifierLength()

  Specified by:
    `getMaximumForeignKeyIdentifierLength` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Maximum Foreign Key Identifier Length' attribute.
  See Also:
    `ConstraintDefinition.setMaximumForeignKeyIdentifierLength(int)`, `DatabaseDefinitionPackage.getConstraintDefinition_MaximumForeignKeyIdentifierLength()`

### setMaximumForeignKeyIdentifierLength

    public void setMaximumForeignKeyIdentifierLength(int newMaximumForeignKeyIdentifierLength)

  Specified by:
    `setMaximumForeignKeyIdentifierLength` in interface `ConstraintDefinition`
  Parameters:
    `newMaximumForeignKeyIdentifierLength` - the new value of the 'Maximum Foreign Key Identifier Length' attribute.
  See Also:
    `ConstraintDefinition.getMaximumForeignKeyIdentifierLength()`

### getMaximumCheckConstraintIdentifierLength

    public int getMaximumCheckConstraintIdentifierLength()

  Specified by:
    `getMaximumCheckConstraintIdentifierLength` in interface `ConstraintDefinition`
  Returns:
    the value of the 'Maximum Check Constraint Identifier Length' attribute.
  See Also:
    `ConstraintDefinition.setMaximumCheckConstraintIdentifierLength(int)`, `DatabaseDefinitionPackage.getConstraintDefinition_MaximumCheckConstraintIdentifierLength()`

### setMaximumCheckConstraintIdentifierLength

    public void setMaximumCheckConstraintIdentifierLength(int newMaximumCheckConstraintIdentifierLength)

  Specified by:
    `setMaximumCheckConstraintIdentifierLength` in interface `ConstraintDefinition`
  Parameters:
    `newMaximumCheckConstraintIdentifierLength` - the new value of the 'Maximum Check Constraint Identifier Length' attribute.
  See Also:
    `ConstraintDefinition.getMaximumCheckConstraintIdentifierLength()`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(EStructuralFeature eFeature)

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.